'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (babel) {
  if (schema.data) {
    return (0, _babelRelayPlugin2.default)(schema.data)(babel);
  } else {
    return {
      visitor: {}
    };
  }
};

var _babelRelayPlugin = require('babel-relay-plugin');

var _babelRelayPlugin2 = _interopRequireDefault(_babelRelayPlugin);

var _graphqlConfigParser = require('graphql-config-parser');

var _deasync = require('deasync');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var config = (0, _graphqlConfigParser.parse)();

var wait = true;
var schema = void 0,
    error = void 0;

(0, _graphqlConfigParser.resolveSchema)(config).then(function (result) {
  schema = result;
  wait = false;
}).catch(function (err) {
  error = err;
  wait = false;
});

// TODO find a cleaner way to do this
(0, _deasync.loopWhile)(function () {
  return wait;
});

if (error) {
  throw error;
}
